Rev 4011: Fixed as per Matt, Jelmer and John reviews. in file:///net/bigmamac/Volumes/home/vila/src/bzr/cleanup/packaging/
Vincent Ladeuil
v.ladeuil+lp at free.fr
Mon Feb 16 10:13:59 GMT 2009
At file:///net/bigmamac/Volumes/home/vila/src/bzr/cleanup/packaging/
------------------------------------------------------------
revno: 4011
revision-id: v.ladeuil+lp at free.fr-20090216101356-x1xh3bvpw71bx8fx
parent: v.ladeuil+lp at free.fr-20090215115556-dhpvcd4z44nyyt3g
committer: Vincent Ladeuil <v.ladeuil+lp at free.fr>
branch nick: packaging
timestamp: Mon 2009-02-16 11:13:56 +0100
message:
Fixed as per Matt, Jelmer and John reviews.
* tools/packaging/update-packaging-branches.sh:
Update currently released for ubuntu releases check.
* tools/packaging/update-changelogs.sh:
Add currently released for ubuntu releases check.
* tools/packaging/build-packages.sh:
Add currently released for ubuntu releases check.
* doc/developers/ppa.txt:
Fix typos.
-------------- next part --------------
=== modified file 'doc/developers/ppa.txt'
--- a/doc/developers/ppa.txt 2009-02-15 11:55:56 +0000
+++ b/doc/developers/ppa.txt 2009-02-16 10:13:56 +0000
@@ -88,7 +88,7 @@
sudo apt-get install build-essential devscripts dput quilt patch libcrypt-ssleay-perl debhelper cdbs python-docutils
Please update this document if you encounter unmet dependencies or find a
- shortest way to express them.
+ shorter way to express them.
* You will also want to have the `bzr-builddeb`_ plugin installed, which
depends on `bzrtools`_.
@@ -119,7 +119,7 @@
#. You will end up checking out a separate directory for each supported
release. Such as ``~/dev/bzr/releases/packaging/hardy``. In each of these
- branches, you will produce the package for the realease.
+ branches, you will produce the package for the release.
#. Decide on the final version number. It should be of this form::
@@ -168,7 +168,7 @@
to specify it.
Make sure you have the correct email address for yourself (you may need
- export DEBEMAIL=`bzr whomai` if it isn't arelay set), version number, and
+ export DEBEMAIL=`bzr whoami` if it isn't already set), version number, and
distribution. It should look something like this::
bzr (1.6~beta3-1~bazaar1~hardy1) hardy; urgency=low
=== modified file 'tools/packaging/build-packages.sh'
--- a/tools/packaging/build-packages.sh 2008-08-25 21:50:11 +0000
+++ b/tools/packaging/build-packages.sh 2009-02-16 10:13:56 +0000
@@ -1,6 +1,13 @@
#!/bin/bash
# A helper script to build packages for the various distributions
+if [ -z "$UBUNTU_RELEASES" ]; then
+ echo "Configure the distro platforms that you want to"
+ echo "build with a line like:"
+ echo ' export UBUNTU_RELEASES="dapper feisty gutsy hardy intrepid jaunty"'
+ exit 1
+fi
+
for DISTRO in $UBUNTU_RELEASES; do
(cd "packaging-$DISTRO" && bzr builddeb -S)
done
=== modified file 'tools/packaging/update-changelogs.sh'
--- a/tools/packaging/update-changelogs.sh 2008-08-25 21:50:11 +0000
+++ b/tools/packaging/update-changelogs.sh 2009-02-16 10:13:56 +0000
@@ -1,5 +1,12 @@
#!/bin/bash
+if [ -z "$UBUNTU_RELEASES" ]; then
+ echo "Configure the distro platforms that you want to"
+ echo "build with a line like:"
+ echo ' export UBUNTU_RELEASES="dapper feisty gutsy hardy intrepid jaunty"'
+ exit 1
+fi
+
if [ "x$1" = "x" ]; then
echo "Missing version"
echo "You want something like:"
=== modified file 'tools/packaging/update-packaging-branches.sh'
--- a/tools/packaging/update-packaging-branches.sh 2008-08-25 21:50:11 +0000
+++ b/tools/packaging/update-packaging-branches.sh 2009-02-16 10:13:56 +0000
@@ -4,7 +4,7 @@
if [ -z "$UBUNTU_RELEASES" ]; then
echo "Configure the distro platforms that you want to"
echo "build with a line like:"
- echo ' export UBUNTU_RELEASES="dapper feisty gutsy hardy intrepid"'
+ echo ' export UBUNTU_RELEASES="dapper feisty gutsy hardy intrepid jaunty"'
exit 1
fi
More information about the bazaar-commits
mailing list